#include <gtk/gtk.h>
#include <glade/glade.h>

#include "gui.h"
#include "jabber.h"

KfGuiPixmap kf_gui_pixmaps_status[] = {
	{"online.png", NULL},		/* Status icons  */
	{"chat.png", NULL},
	{"away.png", NULL},
	{"xa.png", NULL},
	{"dnd.png", NULL},
	{"invisible.png", NULL},
	{"unavailable.png", NULL},
	{"unknown.png", NULL},
	{"pix_message.png", NULL},	/* Event icons */
	{"pix_chat.png", NULL},
	{"online.png", NULL},
	{"pix_system.png", NULL}, 	/* To be changed */
	{NULL, NULL}
};

gboolean kf_gui_pixmap_init (void) {
	KfGuiPixmap *pixmap;

	pixmap = kf_gui_pixmaps_status;

	while (pixmap && pixmap->filename) {
//		filename = g_strdup_printf ("../ui/%s", pixmap->filename);
//		filename = kf_gui_find_file (pixmap->filename);
		pixmap->pixbuf = gdk_pixbuf_new_from_file (kf_gui_find_file (pixmap->filename), NULL);
//		g_free (filename);
		pixmap++;	
	}
	return TRUE;
}

GdkPixbuf *kf_gui_pixmap_get_status (guint status) {
	return (kf_gui_pixmaps_status[status]).pixbuf;
};
